[SOLVED] From 19.3 to 20 : unable to downgrade foreign pckg

Questions about Grub, UEFI,the liveCD and the installer
Forum rules
Before you post please read how to get help
Post Reply
fabrice91
Level 1
Level 1
Posts: 10
Joined: Tue Dec 03, 2013 11:14 am

[SOLVED] From 19.3 to 20 : unable to downgrade foreign pckg

Post by fabrice91 »

Hello,

I'm trying to upgrade form Mint 19.3 to Mint 20 following this page https://linuxmint-user-guide.readthedoc ... nt-20.html
I'm unable to "Downgrade Foreign Packages" because I don't have this option in Software Sources -> Maintenance !
Only "Remove Foreign Packages" or "Restore Foreign Packages" are available...
What's missing ???

thanx
Last edited by fabrice91 on Wed Aug 12, 2020 5:04 am, edited 1 time in total.
User avatar
Joe2Shoe
Level 5
Level 5
Posts: 538
Joined: Wed Oct 18, 2017 8:12 pm
Location: Ozone

Re: From 19.3 to 20 : unable to downgrade foreign pckg

Post by Joe2Shoe »

I had issues upgrading from LM19.3 to LM20. But that was not one of them.
I finally downloaded the LM20 iso, burnt it to a USB flash drive, and did a CLEAN Install of LM20, AFTER I backed up my critical info.
Everything works fine now.
"Tolerance is the refuge of men without conviction."
"Common sense is not so common" - Voltaire
User avatar
AndyMH
Level 13
Level 13
Posts: 4984
Joined: Fri Mar 04, 2016 5:23 pm
Location: Wiltshire

Re: From 19.3 to 20 : unable to downgrade foreign pckg

Post by AndyMH »

Did you install gm10's mint tools at some point in the past?
Homebrew i5-8400+GTX1080 Cinnamon 19.0, 3 x Thinkpad T430 Cinnamon 19.0, i7-3632 , i5-3320, i5-3210, Thinkpad T60 19.0 Mate
deepakdeshp
Level 18
Level 18
Posts: 8454
Joined: Sun Aug 09, 2015 10:00 am

Re: From 19.3 to 20 : unable to downgrade foreign pckg

Post by deepakdeshp »

AndyMH wrote:
Tue Aug 11, 2020 6:37 am
Did you install gm10's mint tools at some point in the past?
Does it complicate the upgrade?
If I have helped you solve a problem, please add [SOLVED] to your first post title, it helps other users looking for help, and keeps the forum clean.
Regards,
Deepak

I am using Mint 20 Cinnamon 64 bit with AMD A8/7410 / 8GB
Mint 20 Cinnamon AMD Ryzen3500U
User avatar
AndyMH
Level 13
Level 13
Posts: 4984
Joined: Fri Mar 04, 2016 5:23 pm
Location: Wiltshire

Re: From 19.3 to 20 : unable to downgrade foreign pckg

Post by AndyMH »

Yep. As posted there is no "Downgrade Foreign Packages" and a lot of the packages the installer is complaining about are gm10's replacements for the mint tools like mint-update. Not on the laptop I upgraded to LM20, but think I ended up removing packages with synaptic and then re-installing things like mint-common and mint-update. Got there in the end, but it was a PITA. As part of your "normal" upgrade it also removes all your additional repos and ppas.

For me - additional repos: google, google earth, virtualbox, vivaldi, visual studio code, teamviewer. ppas - too many to list, approaching 20. More pain, some I needed to reinstall, e.g. virtualbox, have yet to work my way through the complete list and see what works and not.
Homebrew i5-8400+GTX1080 Cinnamon 19.0, 3 x Thinkpad T430 Cinnamon 19.0, i7-3632 , i5-3320, i5-3210, Thinkpad T60 19.0 Mate
fabrice91
Level 1
Level 1
Posts: 10
Joined: Tue Dec 03, 2013 11:14 am

Re: From 19.3 to 20 : unable to downgrade foreign pckg

Post by fabrice91 »

I finaly upgrade Linux Mint 20 from 19.3 but a lot of missing dependencies, unable to install some app again, then unable to boot, ok it's a disaster, I will download the Linux Mint 20 iso and do a fresh installation, I loose 2 days with that upgrade...
Tag title as SOLVED...but not...
Post Reply

Return to “Installation & Boot”